package intrinsic.mx.binding;

public class PropertyWatcher extends intrinsic.mx.binding.Watcher {

	/** Accessors */
	public String propertyName;

	/** Variables */
	public Object value;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public PropertyWatcher() {
}

public PropertyWatcher(Object arg0, Object arg1, Object arg2) {
}

public PropertyWatcher(Object arg0, Object arg1, Object arg2, Object arg3) {
}


/** Static Methods */

/** Methods */
public native void updateParent(Object arg0);
public native void eventHandler(intrinsic.flash.events.Event arg0);

}
